## edu.stanford.nlp.tagger.maxent
Class ExtractorFramesRare

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.ExtractorFramesRare

    public class ExtractorFramesRare

extends Object

Provides arrays of ExtractorFrames for rare words. This file also defines all the rare word extractors as non-public classes. This file is used simply as a resource to initialize extractors stored in Extractors class instances.

Author:
  Kristina Toutanova, Christopher Manning, Michel Galley

Method Summary
`protected static Extractor[]` `getExtractorFramesRare(String identifier, TTags ttags)` Get an array of rare word feature Extractor identified by a name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getExtractorFramesRare

    protected static Extractor[] getExtractorFramesRare(String identifier,
                                                        TTags ttags)

  Get an array of rare word feature Extractor identified by a name. Note: Names used here must also be known in getExtractorFrames, so we can appropriately add error messages. So if you add a keyword here, add it there as one to be ignored, too. (In the next iteration, this class and ExtractorFrames should probably just be combined).

  Parameters:
    `identifier` - Describes a set of extractors for rare word features
  Returns:
    A set of extractors for rare word features

Stanford NLP Group